# Fake ID Detection

<mark style="color:green;">`POST`</mark> `http://okaydocdev.innov8tif.com/ekyc/api/v1/fakeid/detection`

#### Request Body

| Name        | Type    | Description                                 |
| ----------- | ------- | ------------------------------------------- |
| base64      | boolean | Set True: A base64 string will be returned. |
| topNo       | number  | Number of record to be returned             |
| base64Image | string  | base64 string of input image                |
| apiKey      | string  | To be assigned by Innov8tif                 |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "messageCode": null,
    "message": null,
    "results": [
        {
            "imageUrl": "/fakeid/image/sample240",
            "score": "0.7731073498725891",
            "base64String": "/9j/4ARg.............E4VKE16M//Z"
        },
        {
            "imageUrl": "/fakeid/image/sample288",
            "score": "0.7632227540016174",
            "base64String": "/9j/4AAQ............TdGSlvrc//Z"
        },
        {
            "imageUrl": "/fakeid/image/sample236",
            "score": "0.759501576423645",
            "base64String": "/9j/4AkZJRg..........Lmi09T//Z"
        }
    ]
}

```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="JSON" %}

```
{
    "apiKey":"apiKey",
    "base64Image":"/9j/4A....AQS",
    "topNo": 10,
    "base64":true
}
```

{% endcode %}

{% file src="/files/-M-m0KOSFJ6keoaIYW2v" %}
FakeID Detection
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/other-api/fake-id-detection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
